package com.ruoyi.framework.recovery.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回收品牌对象 rec_commodity
 *
 * @author jin
 * @date 2024-11-16
 */
public class RecCommodity extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 回收商品id */
    private Long id;

    /** 品牌id */
    @Excel(name = "品牌id")
    private Long brandId;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 货号 */
    @Excel(name = "货号")
    private String catalog;

    /** 发售价 */
    @Excel(name = "发售价")
    private BigDecimal sale;

    /** 市场价 */
    @Excel(name = "市场价")
    private BigDecimal market;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateDate;

    /**
     * 商品规格
     */
    @Excel(name = "商品规格")
    private String specs;

    /**
     * 商品图片地址
     */
    @Excel(name = "商品图片地址")
    private String images;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBrandId(Long brandId)
    {
        this.brandId = brandId;
    }

    public Long getBrandId()
    {
        return brandId;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setCatalog(String catalog)
    {
        this.catalog = catalog;
    }

    public String getCatalog()
    {
        return catalog;
    }
    public void setSale(BigDecimal sale)
    {
        this.sale = sale;
    }

    public BigDecimal getSale()
    {
        return sale;
    }
    public void setMarket(BigDecimal market)
    {
        this.market = market;
    }

    public BigDecimal getMarket()
    {
        return market;
    }
    public void setCreateDate(Date createDate)
    {
        this.createDate = createDate;
    }

    public Date getCreateDate()
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate)
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate()
    {
        return updateDate;
    }

    public String getSpecs() {
        return specs;
    }

    public void setSpecs(String specs) {
        this.specs = specs;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("RecCommodity{");
        sb.append("id=").append(id);
        sb.append(", brandId=").append(brandId);
        sb.append(", model='").append(model).append('\'');
        sb.append(", catalog='").append(catalog).append('\'');
        sb.append(", sale=").append(sale);
        sb.append(", market=").append(market);
        sb.append(", createDate=").append(createDate);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", specs='").append(specs).append('\'');
        sb.append(", images='").append(images).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
